#!/bin/bash

# ComChecker v 0.3a Copyright 2008, Brandon Jenkins

. $1

while [ 1 ] ; do
	for (( x = 0 ; x < ${#TVPATH[@]} ; x++ )); do
		echo
		echo "Processing Videos.."
		echo
		for (( n = 0 ; n < ${#VTYPE[@]} ; n++ )); do
			echo "	Checking for ${VTYPE[$n]} videos."
			for VIDEO in $(ls "${TVPATH[$x]}" | grep ${VTYPE[$n]} | grep -v grep); do
				echo "		Found $VIDEO checking processed..."
				PROCESSED=0
				EPISODE=`basename $VIDEO | cut -d'.' -f1`
				for (( i = 0 ; i < ${#CHKEXT[@]} ; i++ )); do
					if [ -f "${TVPATH[$x]}/$EPISODE.${CHKEXT[$i]}" ]; then
						PROCESSED=1
					fi
				done
				if [ ! $PROCESSED -eq 1 ]; then
					if [ $SIMUL -gt `ps -ef | grep comskip | grep -v grep | wc -l | cut -d " " -f8` ]; then
						if [ -f "${TVPATH[$x]}/$VIDEO" ]; then
							echo "			Run Comskip on $VIDEO"
							echo
							nohup $WINEPATH/Wine.bundle/Contents/bin/wine $CSPATH/comskip.exe --ini=$CSPATH/comskip.ini "${TVPATH[$x]}/$VIDEO" &
						fi  
					fi
				else 
					echo "			Already processed."
				fi
			done
			echo 
		done
	
		echo "Looking for old files..."
		# Build the extentions list
		for (( i = 0 ; i < ${#CHKEXT[@]} ; i++ )); do
			if ! [[ $FILES ]]; then
				FILES="-name *.${CHKEXT[$i]}"
			else
				FILES="$FILES -o -name *.${CHKEXT[$i]}"
			fi
		done
		for DELME in `find ${TVPATH[$x]} -type f \( $FILES \) | sed 's/.*\///' | cut -d "." -f1 | uniq`; do
			for (( i = 0 ; i < ${#DELME[@]} ; i++ )); do
				for KEEPME in $KEEP; do
					if ! [[ -f ${TVPATH[$x]}/${DELME[$i]}.$KEEPME ]]; then 
						echo "	Removing $DELME.*"
						rm 	${TVPATH[$x]}/${DELME[$i]}.*
					fi
				done		
			done
		done
	done
	echo
	echo "Waiting for $DELAY seconds"
	sleep $DELAY
done